'use strict';

exports.__esModule = true;
exports.isDir = isDir;
exports.hasCommand = hasCommand;
exports.info = info;
exports.warn = warn;
exports.error = error;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _fs = require('fs');

var _logSymbols = require('log-symbols');

var _logSymbols2 = _interopRequireDefault(_logSymbols);

var _which = require('which');

var _which2 = _interopRequireDefault(_which);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isDir(str) {
  return (0, _fs.existsSync)(str) && (0, _fs.statSync)(str).isDirectory();
}

function hasCommand(str) {
  return !!_which2.default.sync(str, { nothrow: true });
}

function info(text, code) {
  process.stderr.write(`${_logSymbols2.default.info}${_chalk2.default.blue(' INFO ')}${text}\n`);
  code && process.exit(code);
}

function warn(text, code) {
  process.stdout.write(`${_logSymbols2.default.warning}${_chalk2.default.yellow(' WARN ')}${text}\n`);
  code && process.exit(code);
}

function error(text, code) {
  process.stderr.write(`\n${_logSymbols2.default.error}${_chalk2.default.red(' ERROR ')}${text}\n`);
  code && process.exit(code);
}